> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hacktionbase.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Track Event



## OpenAPI

````yaml POST /events
openapi: 3.0.3
info:
  title: HacktionBase Public API
  version: 1.0.0
  description: Public ingestion API for users, accounts and events tracking.
servers:
  - url: https://api.hacktionbase.com/v1
security:
  - bearerAuth: []
paths:
  /events:
    post:
      summary: Track an event
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/EventTrackRequest'
      responses:
        '202':
          description: Accepted
      security:
        - bearerAuth: []
components:
  schemas:
    EventTrackRequest:
      type: object
      required:
        - event
      properties:
        event:
          type: string
          example: project_created
        userExternalId:
          type: string
        accountExternalId:
          type: string
        anonymousId:
          type: string
        properties:
          type: object
          additionalProperties: true
        timestamp:
          type: integer
          format: int64
          description: Unix timestamp in milliseconds
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: APIKey

````